{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.dungeon_spawner.detect": {
			"states": {
				"default": {
					"transitions": [
						{ "allow_spawning": "q.property('ldz:allow_spawning')" }
					]
				},
				"allow_spawning": {
					"animations": [
						"delay"
					],
					"transitions": [
						{ "despawn": "q.all_animations_finished" }
					],
					"on_exit": [
						"/function dungeon_spawner/select_spawner"
					]
				},
				"despawn": {
					"on_entry": [
						"@s despawn"
					]
				}
			}
		}
	}
}